Subject: Re: FVWM CVS

From: Jason L Tibbitts III <[email-masked]>
Date: 11 Aug 1999 09:50:58 -0500

Steve asked for a copy of the scripts I use to generate the CVS commit
messages.  This might be of general use, so I'll just send it to everyone.

It's a hacked version of the newlog.pl script that I think comes with CVS,
plus it's helper.  You grab the scripts from ftp.fvwm.org:/pub/fvwm/cvs,
put them in the CVSROOT of your project, add this to commitinfo:

DEFAULT $CVSROOT/CVSROOT/commit_prep -r

and add this to loginfo (changing the address, of course):

DEFAULT $CVSROOT/CVSROOT/newlog.pl -s -f $CVSROOT/CVSROOT/commitlog -m [email-masked] %s

Note that you also need a patch to CVS for it to get the user right if you
do like the FVWM tree does and map all remote users to a single local user
(which, BTW, isn't root here):

--- server.c.orig       Thu Sep 10 02:18:01 1998
+++ server.c    Thu Sep 10 02:22:15 1998
@@ -4756,6 +4756,7 @@
 {
     int rc;
     char *host_user = NULL;
+    char *env;
 
     /* First we see if this user has a password in the CVS-specific
        password file.  If so, that's enough to authenticate with.  If
@@ -4869,6 +4870,10 @@
            It might or might not be the same as host_user. */
         CVS_Username = xmalloc (strlen (username) + 1);
         strcpy (CVS_Username, username);
+
+       env = xmalloc (sizeof "CVSUSER=" + strlen (CVS_Username));
+       (void) sprintf (env, "CVSUSER=%s", CVS_Username);
+       (void) putenv (env);
     }
 
     return host_user;

 - J<
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]